
QGIS Application - Bug report #10955

Error in Windows 64 bit installer

2014-07-26 03:41 AM - Steven Bottomley

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:2.4.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 19303

Description

Installer QGIS-OSGeo4W-2.4.0-1-Setup-x86_64 results in a problem on Windows 8.1 resulting in an error loading Grass.  

This was resolved by setting the install path to a location without any spaces in the path name (including the path to the program folder).

This fix came from some suggestions on other sites (thanks to them) and by looking at the results of the postinstall.txt which showed that

the installer was failing when trying to load to folders with spaces in the title.  Perhaps this can be fixed in the installer for future releases

by ensuring all long path names with spaces in are fully quoted.

History

#1 - 2014-07-28 07:50 AM - Giovanni Manghi

- Status changed from Open to Feedback

it was ok with the qgis 2.2 installer?

#2 - 2014-07-28 08:02 AM - Jürgen Fischer

Include the postinstall.log.

#3 - 2014-07-28 11:29 AM - Steven Bottomley

- File postinstall.log added

I have not tried the 2.2 installer. However, version 2.0.1-3 Dufour (QGIS-OSGeo4W-2.0.1-3-Setup-x86_64.exe) also did not install correctly on my machine

and the install log is attached. Regrettably the install log for version 2.4 was over-written when I had a successful install (using the method described in the

first post) so I no longer have a copy.

#4 - 2014-07-28 12:00 PM - Jürgen Fischer

Steven Bottomley wrote:

I have not tried the 2.2 installer. However, version 2.0.1-3 Dufour (QGIS-OSGeo4W-2.0.1-3-Setup-x86_64.exe) also did not install correctly on my

machine and the install log is attached. Regrettably the install log for version 2.4 was over-written when I had a successful install (using the method

described in the first post) so I no longer have a copy.
2.2 is known to not work in path with blanks with disabled shortname support, while 2.4 should.  So a log of 2.2 does not help.

#5 - 2014-07-28 12:07 PM - Steven Bottomley

Sorry I cannot help with a copy of the 2.4 log but when the 2.4 installer failed I saw the same problems "'"d:\\Program"' is not recognized as an internal or

external command,". That is why I manually changed the install location. As I don't have the log I cannot be sure if this occurred at every instance of

"\\Program Files" occurring. Sorry. 

I should add that I was asked to post this bug report by a Stack Exchange Admin. I am a noob that stumbled over the problem and just trying to advise that

the issue is still out there in 2.4.

#6 - 2014-10-31 05:55 AM - Jürgen Fischer

- Target version changed from Version 2.6 to Future Release - High Priority

#7 - 2015-05-27 07:58 AM - Giovanni Manghi

- Priority changed from Normal to High

#8 - 2015-12-19 04:17 PM - Giovanni Manghi

- Status changed from Feedback to Open

#9 - 2015-12-21 01:31 AM - Jürgen Fischer

- Status changed from Open to Feedback

#10 - 2015-12-21 01:34 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

Hi Jürgen,

if is feeeback then the ticket it to be closed, as the reporter has not left any feedback since long ago.

Files

postinstall.log 10.7 KB 2014-07-28 Steven Bottomley
